<script setup>
import Modal from "@/components/Modal.vue";

const props = defineProps({
  variant: Object,
});
const showmodal = ref();
function openModal() {
  showmodal.value = {
    component: "pos/ChooseIMEIModal",
    title: "Chọn IMEI",
    width: "70%",
    height: "auto",
    vbind: { variant: props.variant },
  };
}
</script>

<template>
  <button
    @click="openModal"
    class="button is-ghost fs-13"
  >
    Chọn IMEI
  </button>
  <Modal
    v-if="showmodal"
    v-bind="showmodal"
    @close="showmodal = null"
  />
</template>
